Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5747 - append parameter not passed properly to kernel
Summary: append parameter not passed properly to kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 6.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-09 01:32 UTC by tom.hui
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-18 19:38:24 UTC


Attachments (Terms of Use)

Description tom.hui 1999-10-09 01:32:30 UTC
The matrox frame buffer module allows for a kernel parameter
that can be used to setup the default boot resolution for
the frame buffer.  This is done via the "append" option in
the lilo.conf file.  The section from the lilo.conf looks
like this:

image=/boot/vmlinuz-2.2.12
	label=linux
	root=/dev/hda7

append="video=matrox:pixclock:7407,left:256,right:32,upper:34,lower:3,hslen:144,vslen:3,xres:1280,yres:1024,depth:16"
	read-only

This works with lilo-0.21-6 which comes with RedHat 6.0.
However, lilo-0.21-10 does not seem to pass the parameters
properly therefore, the frame buffer is not setup and the
screen is unreadable.  Installing lilo-0.21-6 under RedHat
6.1 and running lilo again fixes the problem.

Comment 1 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 2 Jeremy Katz 2002-06-04 04:51:09 UTC
Should be fixed in current release; older versions of lilo improperly truncated
the append.


Note You need to log in before you can comment on or make changes to this bug.